config/routes.rb
Rails.application.routes.draw do
  resources :flights
  resources :item_descriptions
  resources :characters
  resources :items
  resources :games
  resources :users
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
  match '/help', to: 'static_pages#help', via: 'get'
end

app/models/character.rb
/*
Сначала получаем лист модификаторов для вещи.
Затем фильтруем список модификаторов на предмет тех, которые оказывают влияние на пользователя(флаг ввести?)
Затем отдаем массив с ними в метод Characters.recount()
Дальше надо распознать модификаторы. Часть будет в %, часть в абсолютных числах.
Значит, надо это распознавать.  Вроде, руби умеет выполнять формулы из переменных?
Если умеет, значит всё ок, просто втыкаем модификатор в формулу(хм, как?)
*/
class Character < ApplicationRecord
  has_many :items_owners, as: :owner
  has_many :items, through: :items_owners

  def recount(item)

  end

  def add_item(item, item_status, item_chareges)

    items << item
  end

end

app/controllers/characters_controller.rb
class CharactersController < ApplicationController
  before_action :set_character, only: [:show, :edit, :update, :destroy]

  # GET /characters
  # GET /characters.json
  def index
    @characters = Character.all
  end

  # GET /characters/1
  # GET /characters/1.json
  def show
  end

  # GET /characters/new
  def new
    @character = Character.new
  end

  # GET /characters/1/edit
  def edit
  end

  # POST /characters
  # POST /characters.json
  def create
    @character = Character.new(character_params)

    respond_to do |format|
      if @character.save
        format.html { redirect_to @character, notice: 'Character was successfully created.' }
        format.json { render :show, status: :created, location: @character }
      else
        format.html { render :new }
        format.json { render json: @character.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /characters/1
  # PATCH/PUT /characters/1.json
  def update
    respond_to do |format|
      if @character.update(character_params)
        format.html { redirect_to @character, notice: 'Character was successfully updated.' }
        format.json { render :show, status: :ok, location: @character }
      else
        format.html { render :edit }
        format.json { render json: @character.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /characters/1
  # DELETE /characters/1.json
  def destroy
    @character.destroy
    respond_to do |format|
      format.html { redirect_to characters_url, notice: 'Character was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_character
      @character = Character.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def character_params
      params.require(:character).permit(:flight_id, :user_id, :character_description_id, :hp, :morale, :pa, :pm, :room_id)
    end
end

app/helpers/characters_helper.rb
module CharactersHelper
end

app/views/characters/_form.html.erb
<%= form_for(character) do |f| %>
  <% if character.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(character.errors.count, "error") %> prohibited this character from being saved:</h2>

      <ul>
      <% character.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :flight_id %>
    <%= f.number_field :flight_id %>
  </div>

  <div class="field">
    <%= f.label :user_id %>
    <%= f.number_field :user_id %>
  </div>

  <div class="field">
    <%= f.label :character_description_id %>
    <%= f.number_field :character_description_id %>
  </div>

  <div class="field">
    <%= f.label :hp %>
    <%= f.number_field :hp %>
  </div>

  <div class="field">
    <%= f.label :morale %>
    <%= f.number_field :morale %>
  </div>

  <div class="field">
    <%= f.label :pa %>
    <%= f.number_field :pa %>
  </div>

  <div class="field">
    <%= f.label :pm %>
    <%= f.number_field :pm %>
  </div>

  <div class="field">
    <%= f.label :room_id %>
    <%= f.number_field :room_id %>
  </div>

  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>

app/views/characters/edit.html.erb
<h1>Editing Character</h1>

<%= render 'form', character: @character %>

<%= link_to 'Show', @character %> |
<%= link_to 'Back', characters_path %>

app/views/characters/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Characters</h1>

<table>
  <thead>
    <tr>
      <th>Flight</th>
      <th>User</th>
      <th>Character description</th>
      <th>Hp</th>
      <th>Morale</th>
      <th>Pa</th>
      <th>Pm</th>
      <th>Room</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @characters.each do |character| %>
      <tr>
        <td><%= character.flight_id %></td>
        <td><%= character.user_id %></td>
        <td><%= character.character_description_id %></td>
        <td><%= character.hp %></td>
        <td><%= character.morale %></td>
        <td><%= character.pa %></td>
        <td><%= character.pm %></td>
        <td><%= character.room_id %></td>
        <td><%= link_to 'Show', character %></td>
        <td><%= link_to 'Edit', edit_character_path(character) %></td>
        <td><%= link_to 'Destroy', character, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Character', new_character_path %>

app/views/characters/new.html.erb
<h1>New Character</h1>

<%= render 'form', character: @character %>

<%= link_to 'Back', characters_path %>

app/views/characters/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Flight:</strong>
  <%= @character.flight_id %>
</p>

<p>
  <strong>User:</strong>
  <%= @character.user_id %>
</p>

<p>
  <strong>Character description:</strong>
  <%= @character.character_description_id %>
</p>

<p>
  <strong>Hp:</strong>
  <%= @character.hp %>
</p>

<p>
  <strong>Morale:</strong>
  <%= @character.morale %>
</p>

<p>
  <strong>Pa:</strong>
  <%= @character.pa %>
</p>

<p>
  <strong>Pm:</strong>
  <%= @character.pm %>
</p>

<p>
  <strong>Room:</strong>
  <%= @character.room_id %>
</p>

<%= link_to 'Edit', edit_character_path(@character) %> |
<%= link_to 'Back', characters_path %>